| nandps Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- v
- w

### - a -

- AddrCycles : XNandPs_CommandFormat , __attribute__

### - b -

- BbPattern : XNandPsTag
- Bbt : XNandPsTag
- BbtDesc : XNandPsTag
- BbtMirrorDesc : XNandPsTag
- BitsPerCell : __attribute__
- BlockEndurance : __attribute__
- BlockEnduranceGvb : __attribute__
- BlockSize : XNandPs_Geometry , XNandPs_EccConfig
- BlocksPerLun : XNandPs_Geometry , __attribute__
- BytesPerBlock : XNandPs_EccConfig
- BytesPerPage : __attribute__ , XNandPs_Geometry
- BytesPerPartialPage : __attribute__

### - c -

- ClkInputPinCap : __attribute__
- ColAddrCycles : XNandPs_Geometry
- CommandPhaseAddr : XNandPsTag
- Config : XNandPsTag
- Crc : __attribute__

### - d -

- DataBuf : XNandPsTag
- DataPhaseAddr : XNandPsTag
- DateCode : __attribute__
- DeviceId : XNandPs_Config
- DeviceManufacturer : __attribute__
- DeviceModel : __attribute__
- DeviceSize : XNandPs_Geometry
- DrvStrength : __attribute__

### - e -

- EccBits : __attribute__
- EccCalc : XNandPsTag
- EccCode : XNandPsTag
- EccConfig : XNandPsTag
- EccMode : XNandPsTag
- EccPos : XNandPs_EccConfig
- EndCmd : XNandPs_CommandFormat
- EndCmdValid : XNandPs_CommandFormat
- ExtParamPageLen : __attribute__
- EzNandSupport : __attribute__

### - f -

- Features : XNandPsTag , __attribute__
- FlashBase : XNandPs_Config
- FlashBbt : XNandPsTag
- FlashWidth : XNandPs_Config , XNandPs_Geometry

### - g -

- Geometry : XNandPsTag
- GuaranteedValidBlock : __attribute__

### - i -

- InputPinCap : __attribute__
- InputPinCapMax : __attribute__
- InterleavedAddrBits : __attribute__
- InterleavedOperation : __attribute__
- IOPinCap : __attribute__
- IOPinCapacitance : __attribute__
- IsReady : XNandPsTag

### - j -

- JedecManufacturerId : __attribute__

### - l -

- Length : XNandPs_BadBlockPattern

### - m -

- MaxBadBlocksPerLun : __attribute__
- MaxBlocks : XNandPs_BbtDesc

### - n -

- NumBlocks : XNandPs_Geometry
- NumLun : XNandPs_Geometry
- NumLuns : __attribute__
- NumOfParamPages : __attribute__
- NumPages : XNandPs_Geometry
- NumSteps : XNandPs_EccConfig

### - o -

- Offset : XNandPs_BadBlockPattern
- OptionalCmds : __attribute__
- Options : XNandPs_BadBlockPattern

### - p -

- PagecacheTimingMode : __attribute__
- PageOffset : XNandPs_BbtDesc
- PagesPerBlock : __attribute__ , XNandPs_Geometry
- PartialProgAttr : __attribute__
- Pattern : XNandPs_BadBlockPattern
- ProgramsPerPage : __attribute__

### - r -

- ReadPage : XNandPsTag
- Reserved0 : __attribute__
- Reserved1 : __attribute__
- Reserved2 : __attribute__
- Reserved3 : __attribute__
- Reserved4 : __attribute__
- Revision : __attribute__
- RowAddrCycles : XNandPs_Geometry

### - s -

- SigLength : XNandPs_BbtDesc
- Signature : XNandPs_BbtDesc , __attribute__
- SigOffset : XNandPs_BbtDesc
- SmcBase : XNandPs_Config
- SpareBufPtr : XNandPsTag
- SpareBytesPerPage : __attribute__ , XNandPs_Geometry
- SpareBytesPerPartialPage : __attribute__
- StartCmd : XNandPs_CommandFormat
- SynFeatures : __attribute__
- SynTimingMode : __attribute__

### - t -

- TAdl : __attribute__
- TBers : __attribute__
- TCcs : __attribute__
- TEr : __attribute__
- TimingMode : __attribute__
- TMr : __attribute__
- TotalBytes : XNandPs_EccConfig
- TProg : __attribute__
- TR : __attribute__

### - v -

- Valid : XNandPs_BbtDesc
- VendorRevisionNum : __attribute__
- VendorSpecific : __attribute__
- VerOffset : XNandPs_BbtDesc
- Version : XNandPs_BbtDesc

### - w -

- WritePage : XNandPsTag